MCOOKIE(1)

NOM
mcookie - Créer des « cookies magiques » pour xauth

SYNOPSIS

mcookie [options]

DESCRIPTION

mcookie generates a 128-bit random hexadecimal number for use with the X authority system. Typical usage:

    xauth add :0 . mcookie

Le nombre « aléatoire » créé est en fait le condensé MD5 d’informations aléatoires provenant d’une des sources : l’appel système getrandom(2), /dev/urandom, /dev/random ou les fonctions pseudoaléatoires de libc, dans cet ordre de préférence. Voir aussi l’option --file.

OPTIONS

-f, --file fichier
    Utiliser ce fichier comme source supplémentaire d’aléa (par exemple /dev/urandom). Si fichier est -, les caractères sont lus sur l’entrée standard.

-m, --max-size nombre
    Ne lire que nombre octets du fichier. Cette option est censée être utilisée lors de la lecture d’un aléa supplémentaire à partir d’un fichier ou périphérique.

    L’argument nombre peut être suivi des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-v, --verbose
    Informer des sources d’aléa, avec la quantité d’entropie lue de chaque source.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

FICHIERS

/dev/urandom

/dev/random

BOGUES

Aucune source d’aléa n’est censée bloquer.

VOIR AUSSI

md5sum(1), X(7), xauth(1), rand(3)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande mcookie fait partie du paquet util-linux, elle est disponible sur